<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [UserInterface](./bitburner.userinterface.md) &gt; [setTailFontSize](./bitburner.userinterface.settailfontsize.md)

## UserInterface.setTailFontSize() method

Set the font size of the tail window of a script.

**Signature:**

```typescript
setTailFontSize(pixel?: number, fn?: FilenameOrPID, host?: string, ...args: ScriptArg[]): void;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

pixel


</td><td>

number


</td><td>

_(Optional)_ Optional. The new font size in pixels. If omitted, the default tail font size is used.


</td></tr>
<tr><td>

fn


</td><td>

[FilenameOrPID](./bitburner.filenameorpid.md)


</td><td>

_(Optional)_ Optional. Filename or PID of the target script. If omitted, the current script is used.


</td></tr>
<tr><td>

host


</td><td>

string


</td><td>

_(Optional)_ Optional. Hostname/IP of the target script. Defaults to the server this script is running on. If args are specified, this is not optional.


</td></tr>
<tr><td>

args


</td><td>

[ScriptArg](./bitburner.scriptarg.md)<!-- -->\[\]


</td><td>

Arguments for the target script.


</td></tr>
</tbody></table>

**Returns:**

void

## Remarks

RAM cost: 0 GB

This overwrites the tail font size and forces an update of the tail window's contents.

If ran without a filename or pid, this will affect the current script's tail window.

Otherwise, the PID or filename, hostname/ip, and args… arguments can be used to target the tail window from another script. Remember that scripts are uniquely identified by both their names and arguments.

